summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorTim Angus <tim@ngus.net>2013-03-22 13:49:50 +0000
committerTim Angus <tim@ngus.net>2013-03-22 19:02:26 +0000
commit1d4c0f1601e467ae5bb184a2b5f1040a785ba10c (patch)
tree87223c2fa873906d16224f831f5011dda194526d /build-test.sh
parent84962539a2d53bf69f7d3fd180725e307016ef9a (diff)
Move cross-make-mingw.sh's functionality to the Makefile and remove it
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/build-test.sh b/build-test.sh
index d3b7f656..83d463b9 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -4,19 +4,18 @@ failed=0;
# check if testing mingw
if [ "$CC" = "i686-w64-mingw32-gcc" ]; then
- MAKE=./cross-make-mingw.sh
+ export PLATFORM=mingw32
haveExternalLibs=0
else
- MAKE=make
haveExternalLibs=1
fi
# Default Build
-($MAKE clean release) || failed=1;
+(make clean release) || failed=1;
# Test additional options
if [ $haveExternalLibs -eq 1 ]; then
- ($MAKE clean release USE_CODEC_VORBIS=1 USE_FREETYPE=1) || failed=1;
+ (make clean release USE_CODEC_VORBIS=1 USE_FREETYPE=1) || failed=1;
fi
if [ $failed -eq 1 ]; then